gem2deb (2.1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * dh_ruby: ignore XS-Ruby-Versions
  * dh_ruby: print a warning if XS-Ruby-Versions is present
  * metadata: ignore != in dependency specifications
  * gem2deb: fix check for already downloaded .gem files
  * dh-make-ruby, gem2deb: drop support for specifying Ruby versions
    - Command line tools no longer provide a --ruby-versions option
    - Generated debian/control templates no longer include either
      XS-Ruby-Versions: or XB-Ruby-Versions:
  * dh_ruby: drop support for ${ruby:Versions}
    Packages using ${ruby:Versions} will now produce dpkg warnings during
    build, since ${ruby:Versions} is no longer defined.
  * test_helper: set DEBFULLNAME and DEBEMAIL
  * gem2deb/rake/testtask: don't override task options.
    This allows downstream users to set t.options.
  * dh-make-ruby: produce pre-wrapped Depends: field

  [ Helmut Grohne ]
  * Fix cross building to i386 (Closes: #1018217)
  * gem_installer: fix cross building (Closes: #1019397)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 01 Dec 2022 16:06:44 -0300

gem2deb (2.0.3) unstable; urgency=medium

  * Gem2Deb::YAML: fix loading more metadata.yml files.
    I have now tried every metadata.yml in the archive and this should be
    fixed for good.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 30 Jul 2022 20:44:54 -0300

gem2deb (2.0.2) unstable; urgency=medium

  * gem installer: exclude doc/* by default
  * run-from-checkout: fix running from other directories
  * Gem2Deb::YAML: don't ignore the filename passed
  * Gem2Deb::YAML: fix loading of gemspecs with aliases

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 30 Jul 2022 10:32:28 -0300

gem2deb (2.0.1) unstable; urgency=medium

  * dh-make-ruby: fix loading package names map
  * Bump Standards-Version to 4.6.1; no changes needed
  * dh-make-ruby: bump Standards-Version in template to 4.6.1

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 28 Jul 2022 14:40:44 -0300

gem2deb (2.0) unstable; urgency=medium

  [ Daniel Leidert ]
  * Use github tags instead of releases in watch file template

  [ Antonio Terceiro ]
  * dh_ruby: stop printing "dh_ruby --opt"
  * source_test: replace mocking with temporary directory
  * Gem2Deb::Source: improve reading of debian/control
  * Gem2Deb::Source: detect debhelper compatibility level
  * dh_ruby: build, test and install separately for debhelper compat 14+
  * Add support for cross compilation of Ruby extensinons (Closes: #982887)
  * activate.bash: also set PERL5LIB
  * debian/tests/gem2deb: don't check build dependencies
  * Gem2Deb::Metadata: fix loading medadata.yml with ruby3.1 (Closes: #1015311)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 21 Jul 2022 21:17:01 +0200

gem2deb (1.8) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Gem2Deb::Metadata: handle <= version constraints (Closes: #1000333)
  * Gem2Deb::PackageNameMapping: strip architecture qualifier off package names
    (Closes: #1001215)

  [ Daniel Leidert ]
  * Fix d/copyright template to not repeat '/issues'

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 06 Dec 2021 12:08:12 -0300

gem2deb (1.7) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/changelog: add missing entry to the 1.5 release
  * gem2deb-test-runner: remove --check-dependencies-only option
  * Gem2Deb::TestRunner: fix printing of RUBYLIB
  * dh_ruby(1): fix mention of DH_RUBY_GEM_INSTALL_EXCLUDE
  * gem2deb-test-runner: modularize moving files away
  * gem2deb-test-runner: move Gemfile.lock away during the build.
    This used to done only under autopkgtest, but it turns out that having
    Gemfile.lock around when 2 interpreters are supported will usually
    create bogus test failures on the interpreter that runs second, because
    Gemfile.lock will freeze on versions of stuff only available to the
    first interpreter (e.g. the default gems, provided by the interpreter
    packages). (Closes: #998497)
  * gem2deb-test-runner: move away Gemfile.lock in any directories
  * Document version requirement for DH_RUBY_GEM_INSTALL_(INCLUDE|EXCLUDE)

  [ Daniel Leidert ]
  * Fix assignment

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 15 Nov 2021 17:23:21 -0300

gem2deb (1.6) unstable; urgency=medium

  * debian/.gitattributes: add newline at the end
  * dh-make: bump Standards-Version in template to 4.6.0
  * Gem2Deb::GemInstaller: replace whitelist/blacklist with include/exclude
  * Gem2Deb::GemInstaller: remove empty directories inside ext/ as well

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 17 Oct 2021 10:11:35 -0300

gem2deb (1.5) unstable; urgency=medium

  [ Daniel Leidert ]
  * lib/gem2deb/dh_make_ruby.rb, lib/gem2deb/metadata.rb,
    lib/gem2deb/dh_make_ruby/template/debian/copyright: Determine the
    Upstream-Contact field in d/copyright using the email field in the gemspec
    or a github URL.
  * lib/gem2deb/dh_make_ruby/template/debian/watch: Add regex for matching the
    sources on github.
  * lib/gem2deb/dh_make_ruby/template/debian/upstream/metadata: Change fields.
    (Bug-Submit): Point to the URL opening a new issue.
    (Chaneglog): Use the releases page which contains the changelog.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on ruby-mocha.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Antonio Terceiro ]
  * metadata: handle epoch in the versions of rails packages (Closes: #792489)
  * gem installer: remove empty plugins/ directory
  * gem2deb-test-runner: drop alternative dependency on ruby-interpreter
  * Bump Standards-Version; no changes needed

  [ Helmut Grohne ]
  * Provide dh-sequence-ruby from gem2deb (Closes: #991099)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 15 Oct 2021 08:24:40 -0300

gem2deb (1.4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Annotate ruby interpreter dependencies with :any. (Closes: #970470)

  [ Antonio Terceiro ]
  * test_helper: fix code coverage configuration

  [ Lucas Kanashiro ]
  * Do not add extensions to the generated gemspec (Closes: #972702)
  * Add myself to the Uploaders list

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 30 Oct 2020 11:46:14 -0300

gem2deb (1.3) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Remove rubysetuprb buildsystem (Closes: #969327)

  [ Cédric Boutillier ]
  * Add .gitattributes to keep unwanted files out of the source package

  [ Antonio Terceiro ]
  * rake test:coverage: run unit tests only
  * test_helper: review code coverage requirements
  * README: update

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 14 Sep 2020 10:41:39 -0300

gem2deb (1.2.1) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * Safety net for UTF-8 unfriendly env

  [ Antonio Terceiro ]
  * Gem2Deb::TestRunner: use UTF-8 encoding by default

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 15 Jul 2020 09:46:23 -0300

gem2deb (1.2) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * Support dependency checks with multiple binaries (Closes: #950629).

  [ Utkarsh Gupta ]
  * Bump debhelper-compat to 13

  [ Chris Lamb ]
  * Gem2Deb::GemInstaller: delete mkmf.log from extension dir (Closes: #964772)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 11 Jul 2020 15:58:11 -0300

gem2deb (1.1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * dh-make-ruby: don't produce Name and Contact fields in
    debian/upstream/metadata (Closes: #951022)
  * Gem2Deb::GemInstaller: remove executable bit from .rb files
  * dh-make-ruby: drop exception for "ruby" in gem names
  * Replace "Debian Ruby Extras Maintainers" with "Debian Ruby Team"
  * Gem2Deb::GemInstaller: don't install coverage/* and man/*
  * dh-make-ruby: word wrap long description
  * Gem2Deb::Installer: handle shebangs with whitespace
  * Gem2Deb::Metadata: try modified gemspec first.
    If the gemspec does not use git, this should have no effect. For
    gemspecs that do use git, this should fix the issue when builds done on
    system where git is present produce mostly-empty packages.

  [ Lucas Kanashiro ]
  * d/t/reproducible-extensions: add -kernel option to reprotest call

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 20 Apr 2020 10:35:17 -0300

gem2deb (1.0.5) unstable; urgency=medium

  [ Antonio Terceiro ]
  * gem2deb-test-runner: pass absolute directory names in GEM_PATH
  * Gem2Deb::PackageNameMapping: don't hardcode the location of apt-file
  * dh-make-ruby: add option to skip dependency detection
  * tests/reproducible-extensions:
    - disable container-unfriendly variations
    - skip dependency detection in dh-make-ruby (fixes autopkgtest regression)
  * Revert "dh-make-ruby: Add .gitattributes template."
  * dh-make-ruby: write debian/.gitattributes programmatically (Closes: #951430)
  * gem2deb-test-runner: add Breaks: against packages with missing test
    suites, affected by "gem2deb-test-runner: exit 77 under autopkgtest if
    test suite is missing" from 1.0
  * Bump Standards-Version to 4.5.0; no changes needed otherwise

  [ Sebastien Badia ]
  * Set Standards-Version to 4.5.0 in template

  [ Daniel Leidert ]
  * Minor wording update for copyright files

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 17 Feb 2020 20:39:55 -0300

gem2deb (1.0.4) unstable; urgency=medium

  * Gem2Deb::Metadata: drop alternative dependency on ruby-interpreter
  * Build Ruby C extensions reproducibly

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 05 Feb 2020 13:46:53 +0100

gem2deb (1.0.3) unstable; urgency=medium

  * debian/rules: don't duplicate list of files owned by gem2deb-test-runner
  * gem2deb-test-runner: add Breaks:/Replaces: against gem2deb 1.0.1.
    This fixes upgrades from 1.0.1 where a file that was supposed to be
    provided by gem2deb-test-runner was actually included in gem2deb.
  * debian/rules: fix for use with mawk

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 07 Jan 2020 14:27:19 -0300

gem2deb (1.0.2) unstable; urgency=medium

  * autopkgtest: add tests for gem2deb and gem2deb-test-runner
  * gem2deb-test-runner: ship Gem2Deb::PackageNameMapping

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 07 Jan 2020 11:08:05 -0300

gem2deb (1.0.1) unstable; urgency=medium

  * Gem2Deb::Metadata: pass global parameter forward.
    This fixes just building packages without apt-file being instaled.
  * Gem2Deb::PackageNameMapping: fix getting data from installed packages

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 06 Jan 2020 15:28:03 -0300

gem2deb (1.0) unstable; urgency=medium

  [ Daniel Leidert ]
  * dh-make-ruby: Add .gitattributes template.

  [ Antonio Terceiro ]
  * Gem2Deb::Installer; only rewrite shebangs of files that have one
    (Closes: #790331)
  * dh-make-ruby: delete debian/compat
  * Drop build-dependency on lintian
  * gem2deb-test-runner: exit 77 under autopkgtest if test suite is missing
  * dh_ruby(1): drop advice to Build-Depend on ruby when using
    debian/ruby-tests.rake gem2deb-test-runner itself already depends on rake,
    and nowadays even ruby itself does.
  * dh-make-ruby: don't add interpreter dependencies to libraries
  * dh_ruby: add support for a ${ruby:Depends} substvar
  * dh-make-ruby: use ${ruby:Depends} for new packages.
    Also make these new packages build depend on gem2deb >= 1
  * Gem2Deb::GemInstaller: call gem with --no-document instead of --no-rdoc
    --no-rdoc was deprecated and has been removed in ruby 2.7
  * gem2deb: fix use with .gem files not in the current directory
  * test/sample/name_clash_multiple: drop unused sample package
  * test/sample/simpleextension_with_name_clash: drop use case
  * Gem2Deb::DhMakeRuby: fix warning under ruby2.7
  * salsa-ci.yml: run test coverage
  * gem2deb: add -g/--git option.
    Passing -g/--git will make gem2deb import the resulting source package
    into a git repository under the current directory.
  * gem2deb: document -d/--no-check-builddeps
  * gem2deb: --purge: remove all generated files
  * gem2deb: --git: use pristine-tar

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 05 Jan 2020 18:23:18 -0300

gem2deb (0.45) unstable; urgency=medium

  [ Frank Schaefer ]
  * tweak Gem::Ext::*Builder usage for ruby 2.6

  [ Antonio Terceiro ]
  * gem2tgz: always extract tarballs as the current user
  * dh_ruby: drop remaining mention of rubygems usage check
  * dh_ruby: drop remaining mention of rubygems usage check
  * gem2deb-test-runner manpage: remove truncated sentence
  * Gem2Deb::MetaData: rename method
  * Gem2Deb::MetaData: unset gemspec.rubyforge_project
  * tests: drop references to deprecated field rubyforge_project
  * Bump Standards-Version; no changes needed otherwise
  * Set Rules-Requires-Root: no

  [ Joseph Herlant ]
  * Move away the Gemfile.lock during tests to avoid bundler issues.

  [ Utkarsh Gupta ]
  * Update version=3 to 4 in d/watch
  * Use gem_name instead of source_package_name in d/upstream/metadata

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 13 Nov 2019 23:16:19 -0300

gem2deb (0.44) unstable; urgency=medium

  [ Georg Faerber ]
  * bin/gem2deb-test-runner: fix typo

  [ Cédric Boutillier ]
  * Update templates for new packages
    - Set debhelper compat level to 12
    - Add salsa-ci config file
    - Set Standards-Version to 4.4.0 in template

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml
  * Add d/upstream/metadata in template
  * Bump lib/gem2deb/version.rb
  * Bump Standards-Version to 4.4.0 & debhelper-compat to 12
  * Remove compat from test

  [ Antonio Terceiro ]
  * dh-make-ruby: add `DH_RUBY = --gem-install` by default to debian/rules

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 25 Aug 2019 10:19:43 -0300

gem2deb (0.43) unstable; urgency=medium

  * gem2deb-test-runner: deprecate --check-dependencies-only
  * gem2deb-test-runner: add --check-bundler option
    - This should not be used by packages targetting buster.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 17 Feb 2019 10:27:01 -0300

gem2deb (0.42) unstable; urgency=medium

  * GemInstaller: fix removal of temporary directory
  * dh-make-ruby: restrict search for gemspecs to *.gemspec (Closes: #921703)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 08 Feb 2019 11:16:27 -0200

gem2deb (0.41) unstable; urgency=medium

  * dh-make-ruby: bump Standards-Version to 4.3.0 in template
  * debian/control: bump Standards-Version to 4.3.0; no changes needed
    otherwise
  * Remove mentions to the require-rubygems check. It was already deprecated
    and ignored in strecth.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 Feb 2019 11:27:59 -0200

gem2deb (0.40) unstable; urgency=medium

  * Remove Vincent Fourmond from Uploaders: by his request (Closes: #897289)
  * dh-make-ruby:
    - debian/control: add `Rules-Requires-Root: no`
    - debian/control: bump Standards-Version to 4.2.1
  * Bump Standards-Version to 4.2.1; no changes needed otherwise

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 06 Oct 2018 12:29:14 -0300

gem2deb (0.39) unstable; urgency=medium

  * dh-make-ruby: use gemwatch.debian.net for debian/watch

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 12 Apr 2018 16:52:42 -0300

gem2deb (0.38.1) unstable; urgency=medium

  * dh_ruby_fixdepends: don't touch dependencies of packages that do not
    already depend on ruby (Closes: #892131)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 22 Mar 2018 14:33:24 +0800

gem2deb (0.38) unstable; urgency=medium

  [ Antonio Terceiro ]
  * dh_ruby_fixdepends: include upper bound on ruby versions provided by
    ruby-all-dev (Closes: #889470)
  * dh_ruby --print-supported: respect order provided by ruby-all-dev

  [ Cédric Boutillier ]
  * gem2tgz:
    - Deprecate SHA1, and replace by SHA256
    - Ensure that at least one of the checkable digests is listed in
      checksums.yaml.gz instead of forcing all of them to be available

 -- Cédric Boutillier <boutil@debian.org>  Sun, 04 Mar 2018 20:47:35 +0100

gem2deb (0.37) unstable; urgency=medium

  [ Georg Faerber ]
  * debian/compat:
    - Bump debhelper compat level to 11.
  * debian/control:
    - Add myself as uploader.
    - Bump Standards-Version to 4.1.3, no changes needed.
    - Bump required debhelper version to >= 11~.
    - Use salsa.d.o in Vcs-{Browser,Git} fields.
    - Drop obsolete Testsuite field.
  * debian/copyright:
    - Use HTTPS in link to copyright format spec.
    - Point homepage link to salsa.d.o.
  * dh-make-ruby:
    - Bump Standards-Version to 4.1.3.
    - Bump debhelper compat level to 11.
    - Use salsa.d.o in Vcs-{Browser,Git} fields.
    - Use HTTPS in link to copyright format spec.

  [ Samuel Henrique ]
  * dh-make-ruby:
    - Use HTTPS in debian/watch template.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 25 Feb 2018 14:46:15 -0300

gem2deb (0.36) unstable; urgency=medium

  * dh-make-ruby:
    - use `FIXME` in Section: when package name is not `ruby-*`, to avoid
      tools being in section `ruby`.
    - avoid calling wnpp-check twice
  * gem2deb-test-runner: drop dependency on dpkg-dev. autopkgtest tests should
    be for installed packages, and pulling development tools is Wrong™.
  * Apply patch by James Clarke to fix crash when handling build failures in C
    extensions (Closes: #851172)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 15 Sep 2017 21:35:41 -0300

gem2deb (0.35) unstable; urgency=medium

  * dh-make-ruby: bump debian/compat template to 10 (Closes: #867741)
  * Gem2Deb::Metadata:
    - use debian/gemspec as gemspec if it exists (Closes: #867739)
  * gem2deb, dh-make-ruby: add -o/--offline option to prevent any access to
    the internet (including but not limited to checking wnpp)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 18 Jul 2017 10:03:37 -0300

gem2deb (0.34) unstable; urgency=medium

  [ Dominic Cleal ]
  * dh-make-ruby: support concurrent dh-make-ruby processes without one of
    them botching "gem to package" mapping cache (Closes: #862409)

  [ Balasankar C ]
  * Change template copyright to Expat (Closes: #786521)

  [ Antonio Terceiro ]
  * Fix most Ruby warning in the code. They were exposed by rake 12.0.0, which
    runs tests with warnings enabled by default.
  * dh-make-ruby:
    - Bump Standards-Version in produced packages to 4.0.0
  * debian/control:
    - Bump Standards-Version to 4.0.0; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 01 Jul 2017 11:30:17 -0300

gem2deb (0.33.1) unstable; urgency=medium

  * Gem2Deb::GemInstaller:
    - don't install extra_rdoc_files
    - don't install examples/*

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 07 Dec 2016 14:47:07 -0200

gem2deb (0.33) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Gem2Deb::Metadata. Parse timestamp as Date insted of Time. Fixes test
    suite on jessie (Closes: #835588)
  * gem2deb-test-runner:
    - fix documentation of $GEM2DEB_TEST_RUNNER in manpage
  * Gem2Deb::GemInstaller
    - don't try to remove empty directories from lib/ if there is no lib/
    - invert the logic for file inclusion. Everything shipped by upstream
      gem authors is installed, except most top-level files and a well-known
      blacklist of directories that should not be installed (test
      infrastructure, etc). Maintainers can still whitelist files, and they
      can also blacklist files.
  * Gem2Deb::Rake::TestTask: allow using a different task name than :default

  [ Stefano Rivera ]
  * gem2deb-test-runner: Add Build-Dep on dpkg-dev. Autopkgtests may use this,
    and don't necessarily have build-essential.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 06 Dec 2016 11:21:05 -0200

gem2deb (0.32) unstable; urgency=medium

  * --gem-install: append new directories to the whitelist from the
    $DH_RUBY_GEM_INSTALL_INCLUDELIST_APPEND environment variable

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 23 Aug 2016 11:26:19 -0300

gem2deb (0.31) unstable; urgency=medium

  * dh-make-ruby:
    - Bump Standards-Version in debian/control template to 3.9.8
  * gem2deb-test-runner:
    - Add -d/--check-dependencies-only option that only checks dependencies,
      and does not run any tests.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 01 Jul 2016 17:22:02 -0300

gem2deb (0.30.3) unstable; urgency=medium

  * test/unit/dh_ruby_test.rb: fix method that gets the list of binary
    packages from source packages generated in the tests to not be influenced
    by the dpkg-buildpackage invocation used to build gem2deb
    (Closes: #826674)
  * Bump Standards-Version to 3.9.8, no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 12 Jun 2016 14:42:42 -0300

gem2deb (0.30.2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * dh-make-ruby:
    - replace mentions of `apt-file update` with `apt update`, following new
      version of apt-file
  * gem2deb-test-runner:
    - make it explicit in the manpage that are options other than
      --autopkgtest
  * gem2deb/extension_builder.rb: make sure rake is called as /usr/bin/rake

  [ Christian Hofstaedtler ]
  * Move build-essential to Recommends, easing cross-builds.
  * Move python3-debian to Recommends, easing cross-builds (only needed
    for tests).
  * Make packages Architecture: any to satisfy arch-correct Build-Depends
    for cross-builds.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 05 Jun 2016 11:11:17 -0300

gem2deb (0.30.1) unstable; urgency=medium

  * Gem2Deb::Metadata:
    - make the workaround attempt for gemspecs using git more robust.
  * Gem2Deb::Banner:
    - flush stdout immediately to improve output under autopkgtest

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 17 Mar 2016 11:42:36 -0300

gem2deb (0.30) unstable; urgency=medium

  * Gem2Deb::Metadata:
    - workaround git usage in gemspecs. The fact that Debian source packages
      are *not* git repositories makes it necessary to patch upstream gemspec to
      drop usage of `git ls-files` in several packages. This change makes
      gem2deb try to override that with sane defaults for a Debian package.
      (Closes: #800933)
    - fail the build if there is a gemspec in the source package but we fail
      to load it.
  * gem2deb-test-runner: when dependency resolution is requested, fail if
    there is no working source gemspec to read the package name from.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 15 Mar 2016 13:04:26 -0300

gem2deb (0.29) unstable; urgency=medium

  * gem2tgz:
    - Stop generating metadata.yml, and generate a .gemspec if there is no
      gemspec yet.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 04 Mar 2016 18:50:17 -0300

gem2deb (0.28) unstable; urgency=medium

  * dh_ruby:
    - force generated gemspecs to have their contains file lists sorted
      to help with build reproducibility

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 04 Mar 2016 16:00:17 +0100

gem2deb (0.27) unstable; urgency=medium

  * dh-make-ruby:
    - with -w/--overwrite, never overwrite debian/copyright. It's not useful
      to replace an human-reviewed debian/copyright with a completely dumb
      boilerplate.
  * dh_ruby:
    - force generated gemspecs to use the date from debian/changelog to help
      with build reproducibility

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 02 Mar 2016 17:15:19 -0300

gem2deb (0.26.2) unstable; urgency=medium

  * dh-make-ruby: bump Standards-Version in generated debian/control files to
    3.9.7
  * debian/control: bump Standards-Version to 3.9.7; no changed needed.
  * gem_installer_test: fix assertion to check the right value when multiple
    Ruby versions are enabled.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 26 Feb 2016 11:26:49 -0300

gem2deb (0.26.1) unstable; urgency=medium

  * metadata: resist gemspec.bindir not being a String (Closes: #814973)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 17 Feb 2016 08:04:36 -0200

gem2deb (0.26) unstable; urgency=medium

  * dh_ruby:
    - When installing executables, consider gemspec.bindir for installing
      executables, for when they are in a directory different than bin/
    - When installing executables, consider gemspec.executables for the case
      where not all scripts under the bindir should be installed.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 15 Feb 2016 18:04:52 -0200

gem2deb (0.25.2) unstable; urgency=medium

  * gem2deb-test-runner: put directories under debian/ first in GEM_PATH to
    make sure dependency resolution uses the metadata installed during the
    build with precedence over metadata already installed in the system. Fixes
    building packages on non-clean systems where the package you are building
    may have a version already installed.
  * dh_ruby --gem-install:
    - handle not installing test files when they are explicitly listed in the
      gemspec under `spec.test_files = ...`.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 14 Feb 2016 13:42:40 -0200

gem2deb (0.25.1) unstable; urgency=medium

  * gem2deb, gem2deb-test-runner: add dependency on rake since we now call
    `rake` explicitly (Closes: #812580).

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 25 Jan 2016 08:41:39 -0200

gem2deb (0.25) unstable; urgency=medium

  * debian/control: switch from git:// to https:// in Vcs-Git:
  * dh-make-ruby: stop creating debian/ruby-test-files.yaml. In my experience
    that almost never works out of the box.
    - Note that dh_ruby still supports it, we just won't autogenerate that
      when creating new packaging from scratch anymore.
  * gem2deb-test-runner: also set GEM_PATH when running tests. This makes
    tests work out of the box when using --gem-install
  * dh_ruby --gem-install:
    - Only install files that match a whitelist, to avoid having all the
      clutter that usually comes in source packages installed to binary
      packages.
    - Implement correct installation of native extensions

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 23 Jan 2016 17:23:22 -0200

gem2deb (0.24) experimental; urgency=medium

  * gem installer: avoid installing the debian/ directory when upstream
    metadata specifies the packages files as '**/*'
  * test runner: call `rubyX.Y -S rake` instead of `rakeX.Y`. Ruby 2.3 does
    not ship a rake2.3 anymore.
  * dh-make-ruby: change generated Vcs-Git URL from git:// to https://

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 09 Jan 2016 20:54:02 -0200

gem2deb (0.23) experimental; urgency=medium

  * dh_ruby:
    - take parameters from the $DH_RUBY environment variable
    - add experimental support for installing packages as gems.
    - allow options to be passed in any order
    - clarify usage message

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 13 Nov 2015 10:59:47 -0200

gem2deb (0.22.1) unstable; urgency=medium

  * Skip integration tests during the build. When buildind only architecture
    independent packages (i.e. with dpkg-buildpackage -A or sbuild
    --arch-all-only), the nested dpkg-buildpackage calls in the integration
    tests will fail. We'll still run the integration tests under autopkgtest
    though.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 11 Nov 2015 16:39:24 -0200

gem2deb (0.22) unstable; urgency=medium

  [ Pirate Praveen ]
  * use --source https://rails-assets.org for rails-assets-* (Closes: #771212)

  [ Antonio Terceiro ]
  * dh-make-ruby:
    - handle the case where apt-file exits successfully but still does not
      find anything (Closes: #800108)
    - cleanup template debian/rules, and make it set
      `GEM2DEB_TEST_RUNNER = --check-dependencies` by default

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 11 Nov 2015 13:39:06 -0200

gem2deb (0.21.1) unstable; urgency=medium

  * gem2deb-test-runner: fix call to `gem list` after a dependency checking
    failure; avoid exec'ing `gem list` to be able to actually return non-0
    from gem2deb-test-runner.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 20 Aug 2015 00:11:53 +0200

gem2deb (0.21) unstable; urgency=medium

  * dh_ruby: only ask questions interactively when called by gem2deb
  * dh-make-ruby:
    - use debhelper compatibility level 9 by default
    - don't generate debian/tests/control.ex anymore. So far a few dozen
      packages, I have deleted it every single time.
    - use homepage as default for Source: field in debian/copyright
  * gem2deb-test-runner: call `gem list` when dependency checking fails to
    ease debugging

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 18 Aug 2015 19:57:33 +0200

gem2deb (0.20.2) unstable; urgency=medium

  * gem2deb-test-runner: include version-independent rubygems-integration
    directories in GEM_PATH when checking dependencies.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 30 Jul 2015 09:24:33 -0300

gem2deb (0.20.1) unstable; urgency=medium

  * gem2deb-test-runner:
    - use the API version number to point to rubygems-integration directories
      inside the build location
    - print banner on dependency resolution step

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 24 Jul 2015 09:09:00 -0300

gem2deb (0.20) unstable; urgency=medium

  * gem2deb-test-runner:
    - when checking dependencies, don't add rubygems-integration paths from
      different Ruby versions to GEM_PATH.
    - simplify the command line that runs rake
    - gem2deb/rake/testtask: Use options to make all test runs verbose by
      default
    - gem2deb/rake/spectask: add a utility task for running tests with rspec
    - print a sbuild-like banner before start running tests
  * dh-make-ruby: generate debian/ruby-tests.rake using gem2deb/rake/spectask
  * dh_ruby:
    - print sbuild-like banners before installing files and before building
      native extensions

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 21 Jul 2015 22:55:15 -0300

gem2deb (0.19) unstable; urgency=medium

  * gem2deb: download .gem files in a temporary directory
  * gem2deb-test-runner: add dependency on ruby-minitest
  * dh-make-ruby: add README's uncommented to debian/ruby-foo.docs

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 15 Jul 2015 18:28:03 -0300

gem2deb (0.18.3) unstable; urgency=medium

  * gem2deb-test-runner: add dependency on ruby-test-unit
    - Ruby 2.1 had an embedded copy of test/unit, so packages using it in
      their test suite got away with not build-depending on ruby-test-unit
    - Ruby 2.2 does not include test/unit anymore, so a few dozens of packages
      now FTBFS. Since we have a transition to make, instead of waiting for
      all those packages to be fixed, let's workaround that centrally here.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 23 Jun 2015 20:37:54 -0300

gem2deb (0.18.2) unstable; urgency=medium

  * gem2deb-test-runner: when under autopkgtest, don't pass any GEM_PATH at
    all, no even an empty one. This fixes dependency checks under autopkgtest.
  * dh-make-ruby: convert *all* underscores (`_`) to dashes (`-`) when
    converting gem names to source package names (not just the first one).
  * dh_ruby: install gemspecs to rubygems-integration directories using
    API_VERSION (e.g. 2.2.0) and not the short version (e.g. 2.2)
  * dh-make-ruby: avoid converting gem dependencies on exact versions
    (= 0.1.2) to Debian; that is never going to work.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 17 Jun 2015 19:40:18 -0300

gem2deb (0.18.1) unstable; urgency=medium

  * gem2deb-test-runner: include `Gem.path` in GEM_PATH so that dependency
    checking works against the system-installed gemspecs.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 12 Jun 2015 22:40:41 -0300

gem2deb (0.18) unstable; urgency=medium

  * make dh-make-ruby resilient against a corrupt "gem name to package name"
    cache (Closes: #786841)
  * dh_ruby: install gemspecs _before_ running tests so that checking
    dependencies when running tests actually works.
  * gem2deb-test-runner: fix dependency checking during build (by fixing name
    of Rubygems environment variable, s/GEMPATH/GEM_PATH/)
  * gem2deb-test-runner: when called with --check-dependencies, do not exit
    after successfully checking dependencies, but before running tests.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 12 Jun 2015 22:17:18 -0300

gem2deb (0.17) unstable; urgency=medium

  * dh-make-ruby:
    - fix call to wrap-and-sort
    - add -w/--overwrite option to overwrite files under debian/.
      Closes: #785106
    - only call wrap-and-sort if either there was no previous
      packaging, or -w/--overwrite was passed.
    - when acting on an existing source package, read the source package name
      from debian/changelog.
    - always create test suite files to make dh-make-ruby idempotent
    - suggest checking dependencies during build and on DEP-8 tests
  * gem2deb-test-runner:
    - add -c/--check-dependencies to check for dependencies (as declared in
      the Rubygems metadata, not as declared in debian/control) before running
      the tests (Closes: #785120, #770748)
    - always print command lines used to run the tests
    - add support for passing options via the GEM2DEB_TEST_RUNNER environment
      variable
    - add support for checking Rubygems dependencies during build
    - Breaks:/Replaces: gem2deb (<< 0.17~) because lib/gem2deb/metadata.rb was
      moved from gem2deb to gem2deb-test-runner.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 28 May 2015 08:39:49 -0300

gem2deb (0.16) unstable; urgency=medium

  * Add support for a 'nocheck' build profile, and document it in
    README.source. Closes: #632776
    + Also add version restrictions on dpkg-dev and debhelper.
  * Add patch from Cédric Boutillier, from a debian-ruby@ discussion from
    2012, that makes gem2tgz pick the most recent (in terms of gem version)
    gem file, instead of just the first one, after running gem fetch.
    Closes: #733171
  * bin/dh-make-ruby: use '.' (current directory) as default target.
    Closes: #777747
  * dh-make-ruby: run wrap-and-sort after generating boilerplate from
    templates. test/unit/dh_make_ruby_test.rb also had to be modified
    to robustify the dependencies extractor. Closes: #784556
  * Run wrap-and-sort --wrap-always + minor cleanup.

 -- Lucas Nussbaum <lucas@debian.org>  Sat, 16 May 2015 11:52:39 +0200

gem2deb (0.15) unstable; urgency=medium

  * dh-make-ruby, debian/ruby-tests.rake for test/unit: add 'test' to the
    $LOAD_PATH by default, and also run tests on test/**/test_*.rb.
    (Closes: #784323)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 06 May 2015 09:05:36 -0300

gem2deb (0.14) experimental; urgency=medium

  [ Antonio Terceiro ]
  * dh-make-ruby: fix conversion of gem names with uppercase characters into
    debian package names
  * dh_ruby: don't pass LIBDIR into command line when running different
    interpreters while installed system-wide. This avoids extra
    -I/usr/lib/ruby/vendor_ruby in command lines and eases debugging running
    processes for packages that e.g. hang while running their tests.
  * debian/requires-rubygems.overrides it not supported anymore. Patching out
    instances of `require 'rubygems'` is now considered an antipattern.

  [ Sebastien Badia ]
  * Update Vcs-Browser to cgit URL and HTTPS.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 11 Apr 2015 17:41:31 +0200

gem2deb (0.13) experimental; urgency=medium

  [ Antonio Terceiro ]
  * dh-make-ruby: bump Standards-Version in template to 3.9.6
  * dh-make-ruby: add gem runtime dependencies to Build-Depends: as well
  * TestRunner: when running build time tests, use the full path for extra
    library directories installed in debian/$pkg
  * SetupRbInstaller: copy system copy of setup.rb instead of symlinking. This
    will fail if it's not there.
  * gem2deb: add missing dependency on ruby-setup, since setup.rb is used
    explicitly by gem2deb

  [ Christian Hofstaedtler ]
  * Remove rdoc stamp files at install time

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 09 Apr 2015 12:26:04 +0200

gem2deb (0.12) experimental; urgency=medium

  * dh_ruby: if debian/dh_ruby.{mk,rake} exists, call {make,rake} on it during
    the build. See docs in dh_ruby(1)
  * dh-make-ruby: use a cache based on the output of apt-file to map gem names
    to Debian package names when generating dependencies.
    - add apt-file to Recommends:

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 21 Feb 2015 20:34:04 -0200

gem2deb (0.11) experimental; urgency=medium

  * dh-make-ruby: generate 'Testsuite: autopkgtest-pkg-ruby' to not conflict
    with DEP-8 spec (i.e., if the 'Testsuite' field contains 'autopkgtest',
    then debian/tests/control *must* exist).
    - autopkgtest-pkg-ruby will be handled by autopkgtest and the implicit
      test control data that uses gem2deb-test-runner will be used.
  * improved "usage: " banner in several of the provided programs
  * SetupRbInstaller: always use the system copy of setup.rb
  * Gem2Deb#run: always print command lines being executed. This makes build
    logs much more detailed, what is a good thing.
  * dh-make-ruby: look for test files recursively in generated
    debian/ruby-tests.rake for both test/unit and rspec style tests.
  * dh-make-ruby: gem dependencies will now be included in debian/control
    uncommented and transformed to Debian package names, i.e. foo → ruby-foo,
    except for known exceptions (such as rake and rails initially).

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 06 Feb 2015 15:37:58 -0200

gem2deb (0.10) unstable; urgency=medium

  * gem2deb-test-runner: add '.' to $LOAD_PATH with --autopkgtest
  * dh-make-ruby won't create debian/tests/control anymore since autopkgtest
    will now auto-detect Ruby packages and assume an implicit tests
    definition. debian/tests/control.ex will be created instead, with comments
    explaining to either modify it and rename to control, or delete it.
  * dh-make-ruby: when test/ or spec/ exists, create debian/ruby-tests.rake
    with the appropriate rake invocation to run the tests, instead of being
    insecure and creating files all commented out.
  * install 'gem2deb/rake/testtask.rb' to gem2deb-test-runner instead of
    gem2deb
  * dh-make-ruby: generate uncommented Vcs-* headers in debian/control
  * dh-make-ruby: remove version qualifier from build-dependency on gem2deb to
    remove friction when backporting.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 08 Sep 2014 14:07:02 -0300

gem2deb (0.9.1) unstable; urgency=medium

  * gem2deb-test-runner now Breaks/Replaces gem2deb < 0.9. (Closes: #759431)

 -- Cédric Boutillier <boutil@debian.org>  Wed, 27 Aug 2014 14:06:00 +0200

gem2deb (0.9.0) unstable; urgency=medium

  * Provide support for DEP-8 autopkgtest (Closes: #637917)
    + split out a gem2deb-test-runner binary package
    + add a Testsuite: autopkgtest field to template debian/control
    + add templates for debian/tests files to propose a syntax/load test
      (Closes: #645357) and run the test suite of the package
  * Make dh-make-ruby idempotent
  * Refactor test_suite creation in dh_make_ruby
    + in particular, use the rake method by default when a spec/ directory is
      present (Closes: #702578)
  * Remove alternative dependency on ruby-interpreter (Closes: #758806)
  * Verify checksums included in the gems and remove checksums.yaml.gz upon
    conversion of the gems to tarballs (Closes: #725348)

 -- Cédric Boutillier <boutil@debian.org>  Tue, 26 Aug 2014 09:12:32 +0200

gem2deb (0.8.0) unstable; urgency=medium

  [Antonio Terceiro]
  * dh_ruby_fixdepends: inject minimum Ruby dependency provided by
    ruby-all-dev in the shared library dependencies. For that, bump dependency
    on ruby-all-dev to (>= 1:2.1.0.3~)
  * test/test_helper.rb: add test/bin to $PATH during tests
  * test/bin/wnpp-check: mock the actual wnpp-check during tests to avoid
    hitting the network

  [Cédric Boutillier]
  * Update sample gems with non obsolete rake rules

 -- Cédric Boutillier <boutil@debian.org>  Mon, 11 Aug 2014 14:22:55 +0200

gem2deb (0.7.6) unstable; urgency=medium

  [ Antonio Terceiro ]
  * extension builder:
    - display build logs in real time
    - show output of mkmf.log on failure

  [ Per Andersson ]
  * dh-make-ruby: if an ITP bug exists, add its number to the generated
    changelog (Closes: #704651)

  [ Cédric Boutillier ]
  * Add a --no-wnpp-check option to dh-make-ruby and gem2deb to prevent
    dh-make-ruby to check the existense of an ITP bug.
  * Add myself to the Uploaders.

 -- Cédric Boutillier <boutil@debian.org>  Wed, 30 Jul 2014 15:39:15 +0200

gem2deb (0.7.5) unstable; urgency=medium

  * Removes mkmf.log installed at the binary extension directory by Rubygems
    on Ruby 2.1 (Closes: #743671)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 05 Apr 2014 08:59:00 -0300

gem2deb (0.7.4) unstable; urgency=medium

  * dh_ruby: abort builds for unsupported Ruby versions.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 01 Apr 2014 21:41:47 -0300

gem2deb (0.7.3) unstable; urgency=medium

  * extension_builder: create full vendorarchdir path before building
    extensions. This fixes building extensions for Ruby 2.1

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 31 Mar 2014 12:42:14 -0300

gem2deb (0.7.2) unstable; urgency=medium

  * fix one test to work without Ruby 1.9 support
    - the test was assuming an non-multiarch binary extension installation
      path.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 30 Mar 2014 13:03:25 -0300

gem2deb (0.7.1) unstable; urgency=medium

  [ Jonas Genannt ]
  * updated standards version in template to current 3.9.5

  [ Christian Hofstaedtler ]
  * Set ruby:Versions to 'all' if possible

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 18 Mar 2014 19:41:20 -0300

gem2deb (0.7.0) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Drop -w (verbose mode) switch from shebang lines
    - that -w does not help us much
    - build logs will become a lot cleaner now
  * dh_ruby: remove blank lines from --help output
  * dh_ruby: install a single gemspec for pure-Ruby packages
    - This single gemspec will be installed at
      /usr/share/rubygems-integration/all and will be made available to all
      interpreters by rubygems-integration >= 1.5. This way when a new
      interpreter is added there is no need to re-upload every package to
      make it seen by that new interpreter rubygems.
  * add ruby-test-unit to Build-Depends
  * dh_ruby: change shebangs from `/usr/bin/env ruby` to `/usr/bin/ruby`
    - multiple interpreters won't be supported for Jessie, and any interpreter
      that is not /usr/bin/ruby will have been installed by hand so we don't
      want system binaries using external interpreters.
  * Add support for running the gem2deb testsuite with autopkgtest
  * Removed hardcoded interpreter versions; use ruby-all-dev instead

  [ Cédric Boutillier ]
  * Make build of C extensions verbose (Closes: #721674)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 12 Feb 2014 10:01:08 -0300

gem2deb (0.6.1) unstable; urgency=low

  [ Marc Deslauriers ]
  * Fix regression when handling test failures

  [ Antonio Terceiro ]
  * Add unit test for regression fix when handling test failures

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 03 Dec 2013 21:26:35 -0300

gem2deb (0.6.0) unstable; urgency=low

  * gem2tgz: fix full path handling when generating tarball name
    (Closes: #730854)
  * Don't interpolate path in regular expression when loading templates.
    This fixes the build when the source directory contains regular
    expression metacharacters such as '+' (Closes: #730854)
  * debian/control: add versioned build-depends on ruby-mocha (Closes: #730690)
  * Ignore non-installed interpreters.
    This will ease backports of gem2deb without also having to backport the
    interpreters supported in unstable. (Closes: #730694)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 02 Dec 2013 09:49:30 -0300

gem2deb (0.5.1) unstable; urgency=low

  * Don't interpolate arguments for shell commands.
    This fixes handling of files with weird characters in their names such
    as ")" and whitespace in general, and improves security against
    maliciously-crafted filenames which could inject unwanted shell
    commands in the system that is building a package with gem2deb.
    (Closes: #729981)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 20 Nov 2013 16:19:46 -0300

gem2deb (0.5.0) unstable; urgency=low

  * Drop Ruby 1.8 support
  * Add Ruby 2.0 support
  * Centralize references to supported Ruby versions to make it dead simple to
    remove/add new ones.
  * Run tests in verbose mode during package build

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 03 Sep 2013 23:42:41 -0300

gem2deb (0.4.1) unstable; urgency=low

  * Give up on deprecating DH_RUBY_USE_DH_AUTO_INSTALL_DESTDIR
  * Improve documentation on multi-binary packages
  * Make extension buidler honor DH_RUBY_USE_DH_AUTO_INSTALL_DESTDIR
    (Closes: #701716)
  * Fix native extensions support for multi-binary packages
  * Update docs on Build-Depends for multi-binary source packages.
    For multi-binary packages with native extensions, gem2deb (>= 0.4.1~) is
    required.
  * Bump standards version to 3.9.4; no changes needed.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 01 Jun 2013 22:46:10 -0300

gem2deb (0.4.0) unstable; urgency=low

  [ Cédric Boutillier ]
  * debian/control: remove obsolete DM-Upload-Allowed flag
  * use canonical URI in Vcs-* fields
  * fix typos in gem2deb and dh_ruby manpages.
    Thanks Francesco Poli (Closes: #691132, #691133)
  * filter out non Ruby files when creating test-ruby-files.yaml
    (Closes: #691236)
  * dh-make-ruby: suggest same copyright as original package in generated
    debian/copyright

  [ Antonio Terceiro ]
  * Added support for multi-binary source packages. See dh_ruby(1) for
    details.
  * Install CHANGELOG* as upstream changelog (Closes: #702160)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 30 May 2013 18:25:25 -0300

gem2deb (0.3.1) unstable; urgency=low

  [ Antonio Terceiro ]
  * remove unused constant
  * Remove DM-Upload-Allowed from d/control template (Closes: #692152)

  [ Cédric Boutillier ]
  * d/control template: bump Standards-Version; point VCS fields to anonscm.d.o

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 07 May 2013 19:15:17 -0300

gem2deb (0.3.0) unstable; urgency=low

  * Fix debug test mode
  * Install gemspec for use with rubygems-integration

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 22 Jun 2012 09:43:33 -0300

gem2deb (0.2.17) unstable; urgency=low

  * Eliminate annoying warnings when running gem2deb/dh_ruby
    + Only force default external encoding if absolutely required.
    + Drop workaround for Rubygems/YAML issue.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 14 Jun 2012 22:05:39 -0300

gem2deb (0.2.16) unstable; urgency=low

  * Assume that any external files are UTF-8. Closes: #676192

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 05 Jun 2012 15:25:09 -0300

gem2deb (0.2.15) unstable; urgency=low

  * dh_ruby: read debian/control as UTF-8, not ASCII. Closes: #675974

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 04 Jun 2012 23:06:19 +0200

gem2deb (0.2.14) unstable; urgency=low

  [ Antonio Terceiro ]
  * New release.
  * Fix documentation of require-rubygems.overrides
  * Changed all shebangs from ruby.8 to ruby
  * debian/control:
    + Bump Standards version for gem2deb itself and for generated packages
    + add dependency on `ruby | ruby-interpreter`

  [ Per Andersson ]
  * Depend on rubygems instead of transitional package rubygems1.8.
    (Closes: #654234)
  * Correct typo in dh_ruby man page.

  [ Cédric Boutillier ]
  * use official DEP5 copyright formal url in templates

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 Jun 2012 12:05:14 -0300

gem2deb (0.2.13) unstable; urgency=low

  [ Cédric Boutillier ]
  * Use Gem.load_yaml to require yaml, in order to ensure the definition of
    the constant Gem::SyckDefaultKey, required by newer versions of rubygems.

  [ Antonio Terceiro ]
  * debian/control: adjust (Build-)Depends: to require the newest versions of
    Rubygems.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 26 Dec 2011 10:55:41 -0200

gem2deb (0.2.12) unstable; urgency=low

  * Added myself to uploaders
  * Keep Lintian happy: gen-ruby-trans-pkgs sets transitional packages to
    "Priority: extra"

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 22 Nov 2011 19:13:05 -0600

gem2deb (0.2.11) unstable; urgency=low

  * Fix crash when removing duplicate files in subdirectories, e.g.
    ${vendordir}/foo/bar.rb versus ${vendorarchdir}/foo/bar.rb. This was
    found when trying to update libldap-ruby into a new ruby-ldap package.
  * Do not compress Ruby code examples

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 05 Nov 2011 23:05:57 -0200

gem2deb (0.2.10) unstable; urgency=low

  [ Antonio Terceiro ]
  * If all Rubies are supported, use `/usr/bin/env ruby` as shebang
    line.

  [ Dmitry Borodaenko ]
  * Don't rewrite shebangs of non-Ruby scripts

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 24 Sep 2011 12:17:38 -0700

gem2deb (0.2.9) unstable; urgency=low

  [ Cédric Boutillier ]
  * Do not skip tests after failing one

  [ Antonio Terceiro ]
  * Bug fix upload.
  * Split templates in their own files. This fixes the build on Ruby 1.9 under
    the `C` locale.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 18 Sep 2011 01:04:43 -0700

gem2deb (0.2.8) unstable; urgency=low

  * Generate a non-lintian-clean copyright file
  * Fix --only-tarball option
  * Fix typo in integration test
  * Keep upstream names that are not valid Debian package names
  * Make tests more portable
  * Rename test_helper samples file
  * Make tests pass under Ruby 1.9 as well
  * Run tests under 1.8 and 1.9 during build
  * Make sure that programs without shebangs get one
  * Keep correct permission bits on rewritten programs
  * Rewrite shebangs before running tests

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 11 Sep 2011 13:29:03 -0700

gem2deb (0.2.7) unstable; urgency=low

  * Fix .so/.rb name clash resolution for the case of multiple binary
    packages.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 11 Aug 2011 12:05:47 -0700

gem2deb (0.2.6) unstable; urgency=low

  * Added Gem2Deb::Rake::TestTask for helping running tests using rake. See
    dh_ruby(1)
  * Install symlinks for .rb files masked by .so files
  * Support multi-binary packages by allowing maintainers to tell dh_ruby to
    install files at the place designated by dh_auto_install, usually
    debian/tmp. See dh_ruby(1) for details. (Closes: #632553)
  * Document files and environment variables used by dh_ruby in its manpage
    (Closes: #625797)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 21 Jul 2011 10:56:24 -0700

gem2deb (0.2.5) unstable; urgency=low

  * Replace libshoulda-ruby1.8 for ruby-shoulda-context in Build-Depends
  * Always create installation dirs (Closes: #630738)
  * gen-ruby-trans-pkgs: use Breaks: instead of Conflicts for transitional
    packages.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Sun, 19 Jun 2011 19:32:00 -0700

gem2deb (0.2.4) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Set the team as maintainer, move myself to Uploaders.

  [ Vincent Fourmond ]
  * Add myself to uploaders
  * Add a rubysetuprb build system for debhelper to build packages with
    setup.rb

  [ Lucas Nussbaum ]
  * Merge Ubuntu-specific change which is harmless on Debian.

  [ Antonio Terceiro ]
  * Do not crash when package creates subdirectories in /usr/bin
    (Closes: #629036)
  * Shut up on commented 'require "rubygems"' lines (Closes: #628704)

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Mon, 06 Jun 2011 10:33:11 -0700

gem2deb (0.2.3) unstable; urgency=low

  [ Daigo Moriwaki ]
  * Escape including the .git directory in a tar archive.
  * debuild friendly logging.

  [ Antonio Terceiro ]
  * Extract method to read the supported Ruby versions
  * Packages generated by dh-make-ruby now depend on 'ruby | ruby-interpreter'
    by default
  * Correct handling of shebangs: packages with 'all' in XS-Ruby-Versions use
    #!/usr/bin/ruby as shebang; packages for specific versions use the
    corresponding binary in the shebang.
  * Now debian/ruby-tests.rake is also supported for for running package tests.
  * debian/control: bump Standards-Version to 3.9.2

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Tue, 10 May 2011 19:28:23 -0700

gem2deb (0.2.2) unstable; urgency=low

  * Fix generation of Vcs-Browser.
  * Add support for env-var DH_RUBY_GEMSPEC to specify the .gemspec.
  * Support running dh-make-ruby over a directory.
  * Fix: don't create native packages by default.
  * Remove identical duplicate files installed by rubygems in the
    arch-specific dir.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 13 Apr 2011 23:12:50 +0200

gem2deb (0.2.1) unstable; urgency=low

  * Export RUBY_TEST_VERSION and RUBY_TEST_BIN environment variables
    when running tests.
  * Run make distclean || make clean instead of just make clean
  * When building extensions, run the test suite for a given version immediately
    after building the extension for this version. The previous behaviour
    resulted in testing each ruby implementation with the last extension to be
    built.
  * Add bin/gen-ruby-trans-pkgs: script to generate debian/control snippets
    for transitional packages

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 03 Apr 2011 14:36:10 +0200

gem2deb (0.2.0) unstable; urgency=low

  * Many, many changes to how gem2deb generates Debian packages:
    + Put everything in the same binary package.
    + Rewrite depends after dh_shlibdeps to create ORed deps.
    + Support building only for specific ruby versions.
    + Rename library files to match the Ruby convention
    + Add --package option to gem2deb and dh-make-ruby, to specify the
      name of the package to generate
    + Generate packages that depend on ruby1.8 | ruby-interpreter.
    + gem2tgz gemname now downloads the gem if needed.
    + Generate a better debian/copyright template.
    + Add a dh7 sequence.
  * Add Vcs-* fields after moving to PRE repo
  * Support DEB_BUILD_OPTIONS=nocheck.
  * Add perl:Depends, reorganize Depends:
  * Switch to 3.0 (native)
  * Other bugfixes and code cleanup

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 25 Mar 2011 09:29:56 +0100

gem2deb (0.1.0) experimental; urgency=low

  * Initial release.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 04 Mar 2011 09:59:56 +0100
